Subject: MIPS R3000 tasks , ethernet

From: [email-masked] (gregg weber)
Date: Tue, 22 Jun 93 8:08:28 PDT

*  Serial port
		Allocated to: <no-one>
	Some sort of serial ports should be investigated to be connected
	to the A bus of the 3730.  NS16550's would be appropriate
	but other ideas might be looked into.

How about using one of the 8 port chips. They come in a 68 lead PLCC.

*  Ethernet port
		Allocated to: <no-one>
	It has been suggested that we use an Am7990 (Lance) Ethernet
	controller.  I know nothing about this chip.  I expect that it
	could be connected to the 8-bit or 8/16-bit bus of the 3730.

I designed a card using the 7990, and I guess I could do it again.
But, the 7990 was around in 1985, and there are better chips now.
THe 7990 is 16 bit data bus. The 79C00 is 32 bits, and has a buiolt
in transciever. Intel 82596 is 32 bits, and does all MAC functions
on chip (according to the data book). Last time I worked with it, there
were the usual number of Intel bugs in the part. But it was usable.

*  Diagnostics / monitor code
		Allocated to: [email-masked] and <someone else>
	Some initial code needs to be written to test the board and
	load the operating system.

What fun. I bet we will have to fight over who does this one.

--